Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

Installing SilverStripe

Getting SilverStripe up and running on your computer and on your web server.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Trying to install / setup SS3 alpha, need some help


Reply

4 Posts   806 Views

Avatar
TF-35Lightning

10 November 2011 at 11:30pm Community Member, 137 Posts

Hi all,
I'm interested in having a look at SS3 alpha prebuild.

I see there is two files.

CMS 3.0.0-alpha1 and Framework 3.0.0 alpha1

I've extracted and have manged to install a site from
http://localhost/SilverStripe-framework-v3.0.0-alpha1/

but when I go to that page it now says.

Your site is now set up. Start adding controllers to mysite to get started.

I'm not sure what I do now.
Is there some instructions somewhere?

Any help would be great

PS I'm on WAMP

Avatar
irisseven

12 November 2011 at 9:46am Community Member, 8 Posts

I'm assuming they're still working on some of the documentation for SS Framework.
There is also a wiki I believe which may serve as a good starting point.

Avatar
Invader_Zim

13 November 2011 at 2:27am Community Member, 141 Posts

Hi tf22raptor,

this is how I did a quick test installation on my LAMP:

- Downloaded both files (Framework 3.0.0 alpha1 & CMS 3.0.0-alpha1)
- Unpacked Framework 3.0.0-alpha1 to a new folder on the server (ss3-test)
- Browsed to //localhost/ss3-test and followed installation instructions
("Your site is now set up. Start adding controllers to mysite to get started" message appeared)
- Copied the cms folder from CMS 3.0.0-alpha1 into my ss3-test folder
- Browsed to //localhost/ss3-test/dev/build and rebuilt the database

Everything is nice and running... ^^ hope this helps,

Cheers

Avatar
TF-35Lightning

14 November 2011 at 3:20pm Community Member, 137 Posts

thanks guys yeah I worked it out.

I had to install the framework first, I then went back to my CMS install and it then didn't give me any errors anymore and I could install.

Cheers